#pragma once

#include "GL/glew.h"
#include <FK/FK.h>


class GLSLModel : public fk_Model {
  private:
	fk_TexID	texID;
	GLuint		vpID, fpID, shID;
	bool		useTex, useSatBle;
	
  public:
	GLSLModel(void);
	~GLSLModel();
	
	void	preShader(void);
	void	postShader(void);
	void	connectShader(fk_TexID);
	
	void	initShader(int, int);
};
